## javax.servlet.jsp.el
Class ELParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.servlet.jsp.el.ELException
                  javax.servlet.jsp.el.ELParseException

All Implemented Interfaces:
  java.io.Serializable

public class ELParseException
extends ELException

Represents a parsing error encountered while parsing an EL expression.

Since:
  2.0
See Also:
  Serialized Form

Constructor Summary
`ELParseException()` Creates an ELParseException with no detail message.
`ELParseException(java.lang.String pMessage)` Creates an ELParseException with the provided detail message.

Methods inherited from class javax.servlet.jsp.el.ELException
`getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ELParseException

    public ELParseException()

  Creates an ELParseException with no detail message.

### ELParseException

    public ELParseException(java.lang.String pMessage)

  Creates an ELParseException with the provided detail message.

Parameters:
  `pMessage` - the detail message

Copyright © 1999-2012 The Apache Software Foundation. All Rights Reserved.